Bug 824664 - cartridges with a dot in the name will return a 129
cartridges with a dot in the name will return a 129
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Kubernetes (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 19:04 EDT by Peter Ruan
Modified: 2015-05-14 21:55 EDT (History)
3 users (show)

See Also:
Fixed In Version: devenv_1814
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 13:58:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Ruan 2012-05-23 19:04:17 EDT
Description of problem:
  a bug with the rails routing will have problem returning anything if the cartridge name has a '.' in the name.

"type":null,"supported_api_versions":["1.0"],"data":null,"messages":[{"exit_code":129,"severity":"error","text":"Cartridge not found for application myphp.","field":null}],"version":"1.0","status":"not_found"}
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. create an app and embed mysql5.1
2. goto a link similiar to https://openshift.redhat.com/broker/rest/domains/pppx9/applications/myphp/cartridges/mysql-5.1.json
3.
  
Actual results:
returns nothing on the web and the json ret value above

Expected results:
cartridge information.

Additional info:
Comment 1 Abhishek Gupta 2012-06-04 16:53:35 EDT
Krishna and I had fixed this last week. I just verified it on the devenv.
Comment 2 yquan 2012-06-05 01:11:42 EDT
It is fixed on devenv_1815.

The result is :

{"supported_api_versions":["1.0"],"data":{"type":"embedded","name":"mysql-5.1","links":{"DELETE":{"required_params":[],"method":"DELETE","optional_params":[],"rel":"Delete embedded cartridge","href":"https://ec2-23-22-159-8.compute-1.amazonaws.com/broker/rest/domains/domaintest0005/applications/php0/cartridges/mysql-5.1"},"RESTART":{"required_params":[{"description":"event","name":"event","type":"string","valid_options":"restart"}],"method":"POST","optional_params":[],"rel":"Restart embedded cartridge","href":"https://ec2-23-22-159-8.compute-1.amazonaws.com/broker/rest/domains/domaintest0005/applications/php0/cartridges/mysql-5.1/events"},"GET":{"required_params":[],"method":"GET","optional_params":[],"rel":"Get embedded cartridge","href":"https://ec2-23-22-159-8.compute-1.amazonaws.com/broker/rest/domains/domaintest0005/applications/php0/cartridges/mysql-5.1"},"START":{"required_params":[{"description":"event","name":"event","type":"string","valid_options":"start"}],"method":"POST","optional_params":[],"rel":"Start embedded cartridge","href":"https://ec2-23-22-159-8.compute-1.amazonaws.com/broker/rest/domains/domaintest0005/applications/php0/cartridges/mysql-5.1/events"},"RELOAD":{"required_params":[{"description":"event","name":"event","type":"string","valid_options":"reload"}],"method":"POST","optional_params":[],"rel":"Reload embedded cartridge","href":"https://ec2-23-22-159-8.compute-1.amazonaws.com/broker/rest/domains/domaintest0005/applications/php0/cartridges/mysql-5.1/events"},"STOP":{"required_params":[{"description":"event","name":"event","type":"string","valid_options":"stop"}],"method":"POST","optional_params":[],"rel":"Stop embedded cartridge","href":"https://ec2-23-22-159-8.compute-1.amazonaws.com/broker/rest/domains/domaintest0005/applications/php0/cartridges/mysql-5.1/events"}}},"version":"1.0","messages":[],"status":"ok","type":"cartridge"}

Note You need to log in before you can comment on or make changes to this bug.